<!DOCTYPE html>
<html <?php language_attributes(); ?>>
    <head>
        <meta charset="<?php bloginfo('charset'); ?>" />
        <title><?php
global $page, $paged;
wp_title('|', true, 'right');
bloginfo('name');
$site_description = get_bloginfo('description', 'display');
if ($site_description && ( is_home() || is_front_page() ))
    echo " | $site_description";
if ($paged >= 2 || $page >= 2)
    echo ' | ' . sprintf(__('Page %s', 'clearstyle'), max($paged, $page));
?></title>
        <link rel="profile" href="http://gmpg.org/xfn/11" />
        <link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo('stylesheet_url'); ?>" />
        <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
        <?php
            if (is_singular() && get_option('thread_comments'))
                wp_enqueue_script('comment-reply');
            wp_head();
            if ($c = get_background_color()) {
                echo '<style type="text/css">';
                echo '#wrapper div#access li{border-right:3px solid #' . $c . ';}';
                echo '#wrapper div#access ul.children li{border:0px;}';
                echo 'div.clearstyle_c1{margin-bottom:3px;}';
                echo '</style>';
            }
        ?>
        </head>
        <body <?php body_class(); ?>>
            <div id="wrapper" class="hfeed">
<?php
            $clearstyle_social = array(
                'blinklist',
                'brightkite',
                'delicious',
                'design_float',
                'digg',
                'dopplr',
                'email',
                'facebook',
                'feed',
                'flickr',
                'friendfeed',
                'furl',
                'gamespot',
                'lastfm',
                'linkedin',
                'magnolia',
                'mixx',
                'myspace',
                'newsvine',
                'posterous',
                'reddit',
                'sphere',
                'sphinn',
                'stumble',
                'technorati',
                'tripadvisor',
                'tumblr',
                'twitter',
                'vimeo',
                'youtube');
            $i = 0;
            $clearstyle_options = get_option('clearstyle_theme_options');
            foreach ($clearstyle_social as $ico) {
                if ($clearstyle_options[$ico . '-ok']) {
                    if (!$i)
                        echo '<div id="clearstyle-social">';
                    $txt = str_replace('_', ' ', $ico);
                    $txt = ucwords($txt);
                    echo '<a href="' . $clearstyle_options[$ico . '-url'] . '">';
                    echo '<img src="';
                    bloginfo('stylesheet_directory');
                    echo '/images/social/' . $ico . '.png" alt="' . $txt . '" />';
                    echo '</a>';
                    $i++;
                }
            }
            if ($i)
                echo '</div>';
?>
            <div id="header">
                <div id="masthead">
                    <div id="access" style="background-image:url('<?php header_image(); ?>')" role="navigation">
                        <div class="skip-link screen-reader-text"><a href="#content" title="<?php esc_attr_e('Skip to content', 'clearstyle'); ?>"><?php _e('Skip to content', 'clearstyle'); ?></a></div>
<?php wp_nav_menu(array('container_class' => 'menu', 'theme_location' => 'primary')); ?>
                    </div>
                    <div id="branding" style="background-image:url('<?php header_image(); ?>')" role="banner">
	      <?php $heading_tag = 'div'; ?>
                        <<?php echo $heading_tag; ?> id="site-title">
                        <span>
                            <a href="<?php echo home_url('/'); ?>" title="<?php echo esc_attr(get_bloginfo('name', 'display')); ?>" rel="home"><?php bloginfo('name'); ?></a>
                        </span>
                        </<?php echo $heading_tag; ?>>
                        <div id="site-description"><?php bloginfo('description'); ?></div>
                    </div>
                </div>
            </div>
            <div id="main">