<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site will use a
 * different template.
 *
 * @package WordPress
 * @subpackage Clear_Style
 * @since Clear Style 1.0
 */

get_header(); ?>

		<div id="container">
			<div id="content" role="main">

<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>


	<div class="clearstyle_c1_alt"><div class="clearstyle_c2">
		<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<table class="clearstyle-title" cellpadding="0" cellspacing="0"><tr>
		<td>
			<h2 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'clearstyle' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
			<div class="entry-utility">
				<?php if ( count( get_the_category() ) ) : ?>
					<span class="cat-links">
						<?php printf( __( '<span class="%1$s">Posted by</span> <span class="author vcard"><a class="url fn n" href="%2$s" title="%3$s">%4$s</a></span> in %5$s', 'clearstyle' ),
							      'entry-utility-prep entry-utility-prep-cat-links',
							      get_author_posts_url( get_the_author_meta( 'ID' ) ),
							      sprintf( esc_attr__( 'View all posts by %s', 'clearstyle' ), get_the_author() ),
							      get_the_author(),
							      get_the_category_list( ', ' ) );?>
					</span>
					<span class="meta-sep">|</span>
				<?php endif; ?>
				<?php
					$tags_list = get_the_tag_list( '', ', ' );
					if ( $tags_list ):
				?>
					<span class="tag-links">
						<?php printf( __( '<span class="%1$s">Tagged</span> %2$s', 'clearstyle' ), 'entry-utility-prep entry-utility-prep-tag-links', $tags_list ); ?>
					</span>
					<span class="meta-sep">|</span>
				<?php endif; ?>
				<span class="comments-link"><?php comments_popup_link( __( 'Leave a comment', 'clearstyle' ), __( '1 Comment', 'clearstyle' ), __( '% Comments', 'clearstyle' ) ); ?></span>
				<?php edit_post_link( __( 'Edit', 'clearstyle' ), '<span class="meta-sep">|</span> <span class="edit-link">', '</span>' ); ?>
			</div><!-- .entry-utility -->


		  </td>
			<td class="clearstyle_calendar">
			<div class="entry-meta">
					  <?php clearstyle_posted_on();?>
			</div><!-- .entry-meta -->
			</td>
		 </tr></table>


			<div class="clearstyle_c3">

	<?php if ( is_archive() || is_search() ) : // Only display excerpts for archives and search. ?>
			<div class="entry-summary">
				<?php the_excerpt(); ?>
			</div><!-- .entry-summary -->





	<?php else : ?>
			<div class="entry-content">
				<?php the_content( __( 'Continue reading', 'clearstyle' ) ); ?>
				<?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'clearstyle' ), 'after' => '</div>' ) ); ?>
			</div><!-- .entry-content -->
	<?php endif; ?>


			</div>

		</div><!-- #post-## -->

	 </div></div>





				<?php comments_template( '', true ); ?>

<?php endwhile; ?>

			</div><!-- #content -->
		</div><!-- #container -->

<?php get_footer(); ?>
