<?php
add_action('admin_init', 'theme_options_init');
add_action('admin_menu', 'theme_options_add_page');

function theme_options_init() {
    register_setting('clearstyle_options', 'clearstyle_theme_options', 'theme_options_validate');
}

function theme_options_add_page() {
    add_theme_page(__('Theme Options'), __('Theme Options'), 'edit_theme_options', 'theme_options', 'theme_options_do_page');
}

function theme_options_do_page() {
    if (!isset($_REQUEST['updated']))
        $_REQUEST['updated'] = false;

    // SOCIAL ICONS LIST
    $clearstyle_social = array(
        'blinklist',
        'brightkite',
        'delicious',
        'design_float',
        'digg',
        'dopplr',
        'email',
        'facebook',
        'feed',
        'flickr',
        'friendfeed',
        'furl',
        'gamespot',
        'lastfm',
        'linkedin',
        'magnolia',
        'mixx',
        'myspace',
        'newsvine',
        'posterous',
        'reddit',
        'sphere',
        'sphinn',
        'stumble',
        'technorati',
        'tripadvisor',
        'tumblr',
        'twitter',
        'vimeo',
        'youtube');
?>
<div class="wrap">
    <?php screen_icon();
    echo "<h2>" . get_current_theme() . __(' Theme Options') . "</h2>"; ?>
        <?php if (false !== $_REQUEST['updated']) : ?>
        <div class="updated fade"><p><strong><?php _e('Options saved'); ?></strong></p></div>
<?php endif; ?>
        <form method="post" action="options.php">
            <?php settings_fields('clearstyle_options'); ?>
            <?php $options = get_option('clearstyle_theme_options'); ?>
        <table class="form-table">
            <?php
            foreach ($clearstyle_social as $ico) {
                $txt = str_replace('_', ' ', $ico);
                $txt = ucwords($txt);
                echo '<tr valign="top"><th scope="row">' . $txt . ' icon</th>';
                echo '<td>';
                echo '<input id="clearstyle_theme_options[' . $ico . '-ok]" name="clearstyle_theme_options[' . $ico . '-ok]" type="checkbox" value="1" ';
                checked('1', $options[$ico . '-ok']);
                echo ' />';
                echo '<label class="description" for="clearstyle_theme_options[' . $ico . '_ok]"' . _e('Is displayed - URL :') . '</label>';
                echo '<input id="clearstyle_theme_options[' . $ico . '-url]" class="regular-text" type="text" name="clearstyle_theme_options[' . $ico . '-url]" value="' . $options[$ico . '-url'] . '" />';
                echo '</td></tr>';
            }
            ?>
        </table>

        <p class="submit">
            <input type="submit" class="button-primary" value="<?php _e('Save Options'); ?>" />
        </p>
    </form>
</div>
<?php
        }

        function theme_options_validate($input) {
            $clearstyle_social = array(
                'blinklist',
                'brightkite',
                'delicious',
                'design_float',
                'digg',
                'dopplr',
                'email',
                'facebook',
                'feed',
                'flickr',
                'friendfeed',
                'furl',
                'gamespot',
                'lastfm',
                'linkedin',
                'magnolia',
                'mixx',
                'myspace',
                'newsvine',
                'posterous',
                'reddit',
                'sphere',
                'sphinn',
                'stumble',
                'technorati',
                'tripadvisor',
                'tumblr',
                'twitter',
                'vimeo',
                'youtube');
            foreach ($clearstyle_social as $ico) {
                $input[$ico . '-url'] = wp_filter_nohtml_kses($input[$ico . '-url']);
                $input[$ico . '-ok'] = ( $input[$ico . '-ok'] == 1 ? 1 : 0 );
            }
            return $input;
        }

